Receive "Old CA SystemEDGE version is not compatible" error when installing/upgrading SysEDGE 5 on UNIX/Linux

Document ID : KB000003921
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

The "Old CA SystemEDGE version is not compatible with this install. Please remove the previous version manually." error when remnants of a previous SystemEdge install files or folders are present.

Cause:

The standard installer intelligence will check for older versions of the product and try to automatically remove it. The below solution is required when the install cannot remove the product.

Resolution:

Run the below steps to manually remove the older version of the SystemEDGE agent before proceeding with the upgrade or install.

*Note: Please skip the below steps labelled "only if no other CA components are installed", if you have other CA Products installed. 

  1. Make backup copies of all files before deleting.
  2. Remove the folders or files listed below:

    Default SystemEDGE installation Directories:
    /opt/EMPsysedge (SystemEDGE version 4.x)
    /opt/CA/SystemEDGE (SystemEDGE version 5.x)

    ALL UNIX/Linux:

    rm -rf /opt/EMPsysedge

    rm -rf /opt/CA/SystemEDGE
    OR
    rm -rf /opt/CA/ - only if no other CA components are installed

    rm /etc/sysedge.cf*
    rm /etc/catngcampath - only if no other CA components are installed
    rm /etc/profile.CA - only if no other CA components are installed

    Additional files per platform:

    AIX:
    rm /etc/rc.d/CA-CCS - only if no other CA components are installed
    rm /etc/rc.d/CA-cam - only if no other CA components are installed
    rm /etc/rc.d/CA-SystemEDGE
    rm /etc/rc.d/sysedge
    rm /etc/rc.d/rc*.d/*CA-SystemEDGE
    rm /etc/rc.d/rc*.d/*sysedge

    Linux/Solaris:
    rm /etc/init.d/sysedge
    rm /etc/init.d/CA-SystemEDGE
    rm /etc/init.d/CA-CCS- only if no other CA components are installed
    rm /etc/init.d/CA-cam- only if no other CA components are installed
    rm /etc/rc*.d/*CA-SystemEDGE
    r
    m /etc/rc*.d/*sysedge

    HP:
    rm /sbin/init.d/sysedge
    rm /sbin/init.d/
    CA-SystemEDGE
    rm /sbin/init.d/CA-CCS
    - only if no other CA components are installed
    rm /sbin/init.d/CA-cam
    - only if no other CA components are installed
    rm /sbin/rc*.d/*CA-SystemEDGE
    rm /sbin/rc*.d/*sysedge
  1. Logout of the current session and login to a new session to start with a clean environment (now that components have been removed)
  2. Attempt the reinstall following the @CA Educate Instructional Video